Package htsjdk.tribble.index

# Enum Class IndexFactory.IndexBalanceApproach

java.lang.Object
java.lang.Enum<IndexFactory.IndexBalanceApproach>
htsjdk.tribble.index.IndexFactory.IndexBalanceApproach

All Implemented Interfaces:
  `Serializable`, `Comparable<IndexFactory.IndexBalanceApproach>`, `Constable`

Enclosing class:
  `IndexFactory`

public static enum IndexFactory.IndexBalanceApproach extends Enum<IndexFactory.IndexBalanceApproach>
We can optimize index-file-creation for different factors. As of this writing, those are index-file size or seeking time.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOR_SEEK_TIME`
`FOR_SIZE`

## Method Summary

Modifier and Type
Method
Description
`static IndexFactory.IndexBalanceApproach`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IndexFactory.IndexBalanceApproach[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FOR_SIZE

public static final IndexFactory.IndexBalanceApproach FOR_SIZE

### FOR_SEEK_TIME

public static final IndexFactory.IndexBalanceApproach FOR_SEEK_TIME

## Method Details

### values

public static IndexFactory.IndexBalanceApproach[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static IndexFactory.IndexBalanceApproach valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null